Bug 989775 - Review Request: rubygem-omniauth - A generalized Rack framework for multiple-provider authentication
Summary: Review Request: rubygem-omniauth - A generalized Rack framework for multiple-...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-29 21:52 UTC by Achilleas Pipinellis
Modified: 2013-10-02 06:49 UTC (History)
2 users (show)

Fixed In Version: rubygem-omniauth-1.1.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 06:27:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Achilleas Pipinellis 2013-07-29 21:52:51 UTC
Spec URL: http://axilleas.fedorapeople.org/pkgs/rubygem-omniauth/rubygem-omniauth.spec
SRPM URL: http://axilleas.fedorapeople.org/pkgs/rubygem-omniauth/rubygem-omniauth-1.1.4-1.fc19.src.rpm

Description:  A generalized Rack framework for multiple-provider authentication

Fedora Account System Username: axilleas

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5675230

Comment 1 Lubomir Rintel 2013-08-27 09:58:50 UTC
* The package is properly named
* Versioning is sane
* License is fine
* SPEC file is clean and legible
* RPMlint is happy
* Builds fine in mock
* Source file matches upstream
* Requires sane
* Provides sane
* Filelist sane

1.) No need to explicitely set noarch here

%package doc
...
BuildArch: noarch

2.) It's probably not a good idea to modify the files in build tree from check.
%prep is better suited for this purpose:

%check
pushd .%{gem_instdir}
# Remove unneeded coveralls
sed -i '/[Cc]overalls/d' spec/helper.rb

3.) Keeping README in -doc subpackage is a bad idea
...despite what some Ruby packagers unaware of RPM transaction flags think :(
Please move it into the main package. User should not need to install a
subpackage to learn important information about the main package.

%files doc
...
%doc %{gem_instdir}/README.md

Comment 3 Achilleas Pipinellis 2013-08-27 12:29:38 UTC
Also could you elaborate on the README and the `RPM transaction flags` you mentioned? Thank you :)

Comment 4 Lubomir Rintel 2013-08-29 13:59:22 UTC
(In reply to Axilleas Pipinellis from comment #3)
> Also could you elaborate on the README and the `RPM transaction flags` you
> mentioned? Thank you :)

See "rpm --excludedocs" and "tsflags" in yum.conf(5).

Thank you for addressing the issues, the package looks fine to me now.

APPROVED

Comment 5 Achilleas Pipinellis 2013-09-18 10:42:14 UTC
Sorry for the late reply, thanks for the review :)

New Package SCM Request
=======================
Package Name: rubygem-omniauth
Short Description: A generalized Rack framework for multiple-provider authentication
Owners: axilleas
Branches: f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2013-09-18 12:20:11 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-09-22 21:23:29 UTC
rubygem-omniauth-1.1.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-omniauth-1.1.4-2.fc20

Comment 8 Fedora Update System 2013-09-22 21:24:43 UTC
rubygem-omniauth-1.1.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-omniauth-1.1.4-2.fc19

Comment 9 Fedora Update System 2013-09-24 00:21:11 UTC
rubygem-omniauth-1.1.4-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2013-10-02 06:27:07 UTC
rubygem-omniauth-1.1.4-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2013-10-02 06:49:53 UTC
rubygem-omniauth-1.1.4-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.